# classes/phing/types/AbstractFileSet.php

## \AbstractFileSet
jump to top

The FileSet class provides methods and properties for accessing and managing filesets. It extends ProjectComponent and thus inherits all methods and properties (not explicitly declared). See ProjectComponent for further detail.

TODO: - merge this with patternsets: FileSet extends PatternSet !!! requires additional mods to the parsing algo [HL] .... not sure if that really makes so much sense. I think that perhaps they should use common utility class if there really is that much shared functionality

Extends from
  \DataType
Implements
  \SelectorContainer
see
  \ProjectComponent
author
  Andreas Aderhold
author
  Hans Lellelid
package
  phing.types
version
  $Revision: 744 $ $Date: 2010-03-09 11:08:31 +0100 (Tue, 09 Mar 2010) $

### Properties

`$additionalPatterns= 'array'`
Default value `array` Details

Type

`\PatternSet $defaultPatterns= ''`

Details

Type
  \PatternSet

`$dir= ''`
Details

Type

`boolean $expandSymbolicLinks= 'false'`

Whether to expand/dereference symbolic links, default is false

Default value `false` Details

Type
  boolean

`$isCaseSensitive= 'true'`
Default value `true` Details

Type

`$selectors= 'array'`
Default value `array` Details

Type

`boolean $useDefaultExcludes= 'true'`

Default value `true` Details

Type
  boolean

### Methods

`__construct( $fileset = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$fileset |  |

`appendSelector( \selector $selector ) :`
Add a new selector into this container.
Parameters

Name | Type | Description
--- | --- | ---
$selector | \selector | the new selector to add

`createAnd( ) :`
add an "And" selector entry on the selector list
`createContains( ) :`
add a contains selector entry on the selector list
`createContainsRegexp( ) :`
add a contains selector entry on the selector list
`createCustom( ) :`
add an extended selector entry on the selector list
`createDate( ) :`
add a selector date entry on the selector list
`createDepend( ) :`
add a depends selector entry on the selector list
`createDepth( ) :`
add a depth selector entry on the selector list
`createExclude( ) :`
add a name entry on the exclude list
`createExcludesFile( ) :`
add a name entry on the include files list
`createFilename( ) :`
add a selector filename entry on the selector list
`createInclude( ) :`
add a name entry on the include list
`createIncludesFile( ) :`
add a name entry on the include files list
`createMajority( ) :`
add a majority selector entry on the selector list
`createNone( ) :`
add a "None" selector entry on the selector list
`createNot( ) :`
add a "Not" selector entry on the selector list
`createOr( ) :`
add an "Or" selector entry on the selector list
`createPatternSet( ) :`
`createPresent( ) :`
add a present selector entry on the selector list
`createSelector( ) :`
add a "Select" selector entry on the selector list
`createSize( ) :`
add a selector size entry on the selector list
`createType( ) :`
add a type selector entry on the selector list
`getDir( $p ) :`
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`getDirectoryScanner( $p ) :`
returns a reference to the dirscanner object belonging to this fileset
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`getRef( $p ) :`
Performs the check for circular references and returns the referenced FileSet.
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

`getSelectors( $p ) : \an`
Returns the set of selectors as an array.
Parameters

Name | Type | Description
--- | --- | ---
$p |  |

Returns

Type | Description
--- | ---
\an |

`hasPatterns( ) : boolean`
Indicates whether there are any patterns here.
Returns

Type | Description
--- | ---
boolean |

`hasSelectors( ) : boolean`
Indicates whether there are any selectors here.
Returns

Type | Description
--- | ---
boolean |

`selectorCount( ) : int`
Gives the count of the number of selectors in this container
Returns

Type | Description
--- | ---
int |

`selectorElements( ) : array`
Returns an array for accessing the set of selectors.
Returns

Type | Description
--- | ---
array |

`setCaseSensitive( $isCaseSensitive ) :`
Sets case sensitivity of the file system
Parameters

Name | Type | Description
--- | --- | ---
$isCaseSensitive |  |

`setDefaultexcludes( \$useDefaultExcludes $useDefaultExcludes ) :`
Sets whether default exclusions should be used or not.
Parameters

Name | Type | Description
--- | --- | ---
$useDefaultExcludes | \$useDefaultExcludes | "true"|"on"|"yes" when default exclusions should be used, "false"|"off"|"no" when they shouldn't be used.

`setDir( $dir ) :`
Parameters

Name | Type | Description
--- | --- | ---
$dir |  |

`setExcludes( $excludes ) :`
Sets the set of exclude patterns. Patterns may be separated by a comma or a space.
Parameters

Name | Type | Description
--- | --- | ---
$excludes |  |

`setExcludesfile( \$excl $excl ) :`
Sets the name of the file containing the includes patterns.
Parameters

Name | Type | Description
--- | --- | ---
$excl | \$excl | The file to fetch the exclude patterns from.

Details

throws

`setExpandSymbolicLinks( $expandSymbolicLinks ) :`
Sets whether to expand/dereference symbolic links, default is false
Parameters

Name | Type | Description
--- | --- | ---
$expandSymbolicLinks |  |

Details

  boolean

`setIncludes( $includes ) :`
Sets the set of include patterns. Patterns may be separated by a comma or a space.
Parameters

Name | Type | Description
--- | --- | ---
$includes |  |

`setIncludesfile( \$incl $incl ) :`
Sets the name of the file containing the includes patterns.
Parameters

Name | Type | Description
--- | --- | ---
$incl | \$incl | The file to fetch the include patterns from.

Details

throws

`setRefid( $r ) :`
Makes this instance in effect a reference to another PatternSet instance.

You must not set another attribute or nest elements inside this element if you make it a reference.

Parameters

Name | Type | Description
--- | --- | ---
$r |  |

`setupDirectoryScanner( $ds, $p ) :`
feed dirscanner with infos defined by this fileset
Parameters

Name | Type | Description
--- | --- | ---
$ds |  |
$p |  |

Documentation was generated by DocBlox 0.13.1.